> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadpipe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a saved intent topic list



## OpenAPI

````yaml https://api.aws53.cloud/openapi-intent.json post /v1/intent/topics/lists
openapi: 3.1.0
info:
  title: Orbit API
  version: 1.0.0
  description: >-
    Orbit Audience Intent API: topic discovery, site analysis, curated ICP
    filters, saved audiences, materialization runs, stats, and CSV export.
    Discovery endpoints are public; audience management accepts either Bearer
    JWT or X-API-Key auth.
servers:
  - url: https://api.aws53.cloud
    description: Production
security: []
tags:
  - name: Topic Discovery
    description: Browse, search, and analyze available intent topics
  - name: Site Analysis
    description: Analyze a website URL to find matching intent topics
  - name: Site Topics
    description: Recent organization site-topic analyses
  - name: Audience Builder
    description: >-
      Curated filters, preview, saved audiences, runs, stats, CSV export, and
      saved topic lists
paths:
  /v1/intent/topics/lists:
    post:
      tags:
        - Audience Builder
      summary: Create a saved intent topic list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIntentTopicListRequest'
      responses:
        '201':
          description: Saved topic list created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SavedIntentTopicList'
                  meta:
                    $ref: '#/components/schemas/ApiMeta'
                required:
                  - data
                  - meta
        '400':
          description: Invalid topic list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    CreateIntentTopicListRequest:
      allOf:
        - $ref: '#/components/schemas/IntentTopicListMutationRequest'
        - type: object
          properties: {}
          required:
            - name
            - topicIds
    SavedIntentTopicList:
      type: object
      properties:
        id:
          type: string
          format: uuid
        organizationId:
          type: string
          format: uuid
        name:
          type: string
        topicIds:
          type: array
          items:
            type: integer
          minItems: 1
          maxItems: 250
        source:
          type: string
          enum:
            - site_analysis
            - search
            - manual
        sourceUrl:
          type:
            - string
            - 'null'
          format: uri
        keywords:
          type: array
          items:
            type: string
        createdBy:
          type:
            - string
            - 'null'
          format: uuid
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - organizationId
        - name
        - topicIds
        - source
        - keywords
    ApiMeta:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        request_id:
          type: string
      required:
        - timestamp
        - request_id
    ApiErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        meta:
          $ref: '#/components/schemas/ApiMeta'
      required:
        - error
        - meta
    IntentTopicListMutationRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 160
        topicIds:
          type: array
          items:
            type: integer
            exclusiveMinimum: 0
          minItems: 1
          maxItems: 250
        source:
          type: string
          enum:
            - site_analysis
            - search
            - manual
        sourceUrl:
          type:
            - string
            - 'null'
          format: uri
        keywords:
          type:
            - array
            - 'null'
          items:
            type: string
            minLength: 1
            maxLength: 120
          maxItems: 100
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details: {}
      required:
        - code
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Dashboard access token. Send as Authorization: Bearer <token>.'
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Organization API key (sk_...). Send as X-API-Key: <key>.'

````